{% extends 'base.html.twig' %}

{% block body %}
    <h1>Applications list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Description</th>
                <th>Title</th>
                <th>Createdat</th>
                <th>Active</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>

        {% for application in applications %}
            <tr>
                <td><a href="{{ path('application_show', { 'id': application.id }) }}">{{ application.id }}</a></td>
                <td>{{ application.description }}</td>
                <td>{{ application.title }}</td>
                <td>{% if application.createdAt %}{{ application.createdAt|date('Y-m-d H:i:s') }}{% endif %}</td>
                <td>{% if application.active %}Yes{% else %}No{% endif %}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('application_show', { 'id': application.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('application_edit', { 'id': application.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
